1. jproy12's Avatar
    Hey guys,
    Im new to this forum, now i have a couple questions regarding OS upgrades on my BB storm. The current one i have right now is: v4.7.0.76, ive seen higher OS for the BB Storm, now is there an actual upgrade for the Storm compatible with bell mobility? Lets say i get a higher OS, and my phone has problems and needs to be sent into warranty, will it void the warranty on my phone due to the high OS on it?

    Is there an OS upgrade that's compatiblee with bell mobility? My BB seems to run slower than my old HTC Touch i had, so i want to make my BB faster now! Also, how can i downgrade to my original v4.7.0.76 OS if the upgraded OS doesnt like my phone?

    Also, lets say i download the new OS to my computer, how to i go about installing it on my BB?

    Thanks
    JP
    02-23-09 08:36 AM
  2. leemoreau's Avatar
    4.7.0.76 is the most current os for Bell, any others are leaked versions and unofficial/buggy.
    02-23-09 08:39 AM
  3. jproy12's Avatar
    4.7.0.76 is the most current os for Bell, any others are leaked versions and unofficial/buggy.
    But would the high OS work on my bell mobility BB Storm? And would it void warranty?
    02-23-09 08:46 AM
  4. pkcable's Avatar
    There are varying opinions as to whether or not it voids the warrenty. Most of us feel that as long as you downgrade to the latest released version before you return it you are fine.

    The newest updates work pretty good. I highly recommend .103. You can find the info about the updates in this Sub Forum. Make SURE to read Don's How to Update to a Leak or Beta OS thread. Also make sure to do a full backup of your Storm AND a separate 3rd Party Apps backup first!
    02-23-09 08:48 AM
  5. sjirgens's Avatar
    I updated my BB Storm to .103 and have had no issues, I'm on Bell as well. People are posting rumors on the forums about an official update coming soon, so if you're worried maybe just wait.
    02-23-09 09:32 AM
  6. Terrigno's Avatar
    Yeah thats your best bet is to just wait. I never recommend an unofficial upgrade for new Blackberry Users. Read the Tuturials first and get all the information you can before you attempt it.
    02-23-09 09:42 AM
  7. olta777's Avatar
    The leaked would work on your phone. Make sure that you download the correct one (9530 vs 9500). Also just remember to delete the vendor.xml file. Good luck. I love the .103/.109 hybrid.

    Posted from my CrackBerry at wapforums.crackberry.com
    02-23-09 09:46 AM
  8. Falling's Avatar
    I am running the .99 leaked beta on my Telus network Storm. It is nice and stable and a lot faster then .76. But make sure you read, AND UNDERSTAND!! the instructions before you try to upgrade your storm. If your not comfortable with the process, hold on for a bit, there is sure to be an offical release comming soon. Just a little patience till it gets here.

    If you have troubles, make sure you understand the process to downgrade too. Never know when that will come in handy. There are step by step tutorials stickied to the top of the forum, take the time to read and understand them. And welcome to the wonderful world of crackberry too, the knowledge of the many forum mmebers is astounding. Any questions can be answered in short order.
    02-23-09 09:52 AM
  9. Devlyn16's Avatar
    Which warenty??

    the RIM [manufacturer] warenty? It has been said by folks in the KNOW that upgrading the OS to a leaked beta does not VOID RIM's warenty.

    Bell as the provider might be within their rights to refuse to provide support for you if you updated to a leaked beta OS.

    Form whatr I've learned on this site Blackberries are pretty hard to completly BRICK. If you can read and follow instructions you should be able to upgrade & downgrade and/or wipe as needed


    NOTE: I'm not sure IF using a hybrid Beta OS would void RIM's warenty.

    From what CX has said, When a handset is returned to RIM, RIM is capable of determing which OS versions have EVER been installed on that device.
    02-23-09 09:59 AM
  10. jproy12's Avatar
    I updated my BB Storm to .103 and have had no issues, I'm on Bell as well. People are posting rumors on the forums about an official update coming soon, so if you're worried maybe just wait.
    Can you give me a link to the .103 OS? I want to upgrade since i find that the OS on my BB is slow, and ive had some problems with email sync and whatnot, hopefully it'll settle my problems!

    Yeah thats your best bet is to just wait. I never recommend an unofficial upgrade for new Blackberry Users. Read the Tuturials first and get all the information you can before you attempt it.
    Ive had my HTC touch for over a year, and i had my OS upgraded on that, soo i played around a bit with cellphones OS, now its just that im new to BB stuff, and i want to upgrade! Worst comes to worst, ill downgrade!

    JP
    02-23-09 10:06 AM
  11. pkcable's Avatar
    02-23-09 11:01 AM
  12. leemoreau's Avatar
    I don't think it would void your warranty, technically it might however if you went into a Bell store and your phone isn't turning on or something like that, they're not going to know it's due to some failed OS upgrade or anything like that. I have .76 on mine runs fine, its slow sometimes but I've tried .103 and it was so buggy, seems to be random. I say wait for an official unless you have trouble with your phone.
    02-23-09 12:28 PM
  13. TheComebackKidd's Avatar
    I can't see how loading RIM software designed for this specific RIM device could void your RIM warranty

    Posted from my CrackBerry at wapforums.crackberry.com
    02-23-09 12:47 PM
  14. jproy12's Avatar
    I have .76 on mine runs fine, its slow sometimes but I've tried .103 and it was so buggy, seems to be random. I say wait for an official unless you have trouble with your phone.
    Thanks for the tips, ill probably wait for the final and official update will be released! Is there a way to reset your phone, as in basically format it from scratch?

    And man, im having problems doing a sync with my hotmail emails..
    02-23-09 01:49 PM
  15. snork's Avatar
    theoretically (if they can show you did it) anything but what has been officially released will void your warranty. why is this? because anything that is covered under the warranty has to be supported. verizon and others want to limit just how much support they have to give and how much training their employees will need. think about how many calls people would get about bricked blackberries and OS problems if they supported any os, not just the official one.

    all this said. if you want something better than .76, try out a beta. chances are you'll be just fine. if you do screw up there are lots of tutorials on how to back up your device and re-load .76 in the event you need or want to take back your storm.
    02-23-09 02:00 PM
LINK TO POST COPIED TO CLIPBOARD